Creates a new contact object
Request Information
URI Parameters :
None.
Body Parameters :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "c15d6970-58dc-48b7-914b-8685d226ebb9",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "13a27c85-0377-417f-9f83-b3414d236961",
"company_code": "sample string 5",
"company": {
"id": "02580c18-0369-4114-a2b8-59034aa354e4",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-03-04T16:14:35.0141195+00:00",
"sales_territory_id": "4397e55a-87e8-43ed-b2de-ad9bbc9cbe0c",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "532c4818-fec2-4636-b7cb-1d38d7aceb8e",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "5f45c733-3761-48b3-b13d-ee250aa1e60c",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "d7d1ce13-1c61-4250-8d17-9bfab0fa6077",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d3cfe82b-3371-4e6a-9e69-2d8db755d7da",
"db_currency_id": "bab19ff5-e286-46f1-8bcf-8e69e4d972d4",
"db_language_id": "689c1443-69fc-4525-b9b3-4329623bf913",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-03-04T16:14:35.0141195+00:00"
},
"modified_dateutc": "2026-03-04T16:14:35.0141195+00:00"
},
"marketing_segment_id": "11ae0882-523b-4d4d-b0bd-b348e84bdec8",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "d57cfcd8-e20e-424b-a9d6-a19a6b631879",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "cf0d4b2f-6339-458e-a609-14d7625fc48a",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "3f9ffdbc-8986-4947-a79d-db6bdf55b35d",
"db_country_code": "sample string 28",
"feelist_id": "07c32f13-abe2-4285-8131-8a7657e92cf1",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "9a9cc820-9966-4388-81df-f67a81ecd69a",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "2f0fbc8c-a2d4-4181-9b2a-31d1832959cd",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-03-04T16:14:35.0141195+00:00",
"db_currency_id": "732ca251-ab80-4fcf-82f7-a8162cd3b980",
"db_currency_code": "sample string 10"
},
"company_type_id": "eda9c723-f812-4731-96fa-8048f2a72129",
"company_type_name": "sample string 32",
"company_type": {
"id": "43947392-2ece-403f-b097-abf9abdaa16f",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "0b800380-4782-4cf4-94ec-cb8e583f6e16",
"sales_organization_code": "sample string 5"
},
"db_language_id": "8ad48cd1-3890-454c-97d9-fcf04c372673",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "4ca94b70-d697-4755-8dd9-082df602fee8",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "0c5e388c-a728-4c80-8595-190c9587a657",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "71fb3a42-dedc-4a9b-adf1-b8e107994685",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-03-04T16:14:35.0141195+00:00"
},
"company_sector_id": "820cdc41-ba95-4649-8cbf-ac16330ee3b9",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "fbd57665-e743-43f3-9ccc-4319e7d6fdb8",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "5bdf45d0-0e09-47bc-aed3-91604884ba34",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "760fc007-9532-452b-bc98-c3b3c2aa27db",
"account_manager_user_code": "sample string 56",
"company_status_id": "a7e25988-7b96-40ec-b057-8f453879ff40",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-03-04T16:14:35.0141195+00:00",
"id2": 60
},
"db_language_id": "40d81c7d-0ced-4c95-aa2f-eda1e4420d85",
"db_language_code": "sample string 7",
"db_title_id": "edb63a1e-f626-45e4-93a2-7069247df58a",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-03-04T16:14:35.0141195+00:00",
"create_date": "2026-03-04T16:14:35.0141195+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-03-04T16:14:35.0141195+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.